/*
Copyright (c) 2007-2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation nor the names of its contributors
 may be used to endorse or promote products derived from this software
 without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Description: shared client/server definitions. 
*/


#include <e32std.h>

#ifndef __THREAD_CLIENT_SERVER_H__
#define __THREAD_CLIENT_SERVER_H__

// Stores the size of the new thread's stack.
const TInt KThreadServerStackSize=0x2000;

// Stores the maximum length of the message where client data can be written. 
const TInt KThreadServerMaxMessageLen=100;

// Stores the minimum size of the new thread's heap.
const TInt KThreadServerInitHeapSize=0x1000;		//  4KB

// Store the maximum size of the new thread's heap. 
const TInt KThreadServerMaxHeapSize=0x1000000;		// 16MB

/**
	Enumeration for client requests that have been passed to the server.
*/
enum TThreadServerRequest
	{
	EThreadServerLoadDeviceDriver,
	EThreadServerUnloadDeviceDriver,
	EThreadServerOpenDriver,
	EThreadServerSendData,
	EThreadServerSendDataCancel
	};

_LIT(KThreadServerDriverLddFileName,"DRIVER1_LDD");
_LIT(KThreadServerDriverPddFileName,"DRIVER1_PDD");

_LIT(KThreadServerName,"ThreadServer");

_LIT(KThreadServerServerImg, "ThreadServer");

// Stores the major version number. This must be a number in the range 0 to 127.
const TUint KThreadServerVersion=8;

// Stores the minor version number. This must be a number in the range 0 to 99.
const TUint KThreadServerMinorVersionNumber=0;

// Stores the build number. This must be a number in the range 0 to 32,767.
const TUint KThreadServerBuildVersionNumber=1;

#endif //__THREAD_CLIENT_SERVER_H__
